Package org.eclipse.mat.snapshot

# Class SnapshotFormat

java.lang.Object
org.eclipse.mat.snapshot.SnapshotFormat

public class SnapshotFormat extends Object
Summary of a parser for the snapshot

No Instantiate:

## Constructor Summary

Constructors
Constructor
Description
`SnapshotFormat(String name, String[] fileExtensions)`
Create summary information about a parser

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getFileExtensions()`
Get the file extensions.
`String`
`getName()`
Get the parser name

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnapshotFormat

public SnapshotFormat(String name, String[] fileExtensions)
Create summary information about a parser

Parameters:
  `name` - name of the parser type
  `fileExtensions` - file extensions it handles

## Method Details

### getName

public String getName()
Get the parser name

Returns:
  the parser name

### getFileExtensions

public String[] getFileExtensions()
Get the file extensions. Used for filtering files in a file dialog when choosing a snapshot to open

Returns:
  an array of file extensions